Method: projects.locations.clusters.nodePools.list

列出指定專案和位置中的 NodePool。

HTTP 要求

GET https://edgecontainer.googleapis.com/v1/{parent=projects/*/locations/*/clusters/*}/nodePools

這個網址使用 gRPC 轉碼語法。

路徑參數

參數
parent

string

這是必要旗標,擁有這個節點集區集合的父項叢集。

授權需要指定資源 parent 的下列 IAM 權限:

  • edgecontainer.nodePools.list

查詢參數

參數
pageSize

integer

要列出的資源數量上限。

pageToken

string

先前清單要求傳回的網頁權杖。

filter

string

系統只會列出符合這項篩選條件的資源。

orderBy

string

指定資源的列出順序。

要求主體

要求主體必須為空白。

回應主體

叢集中的節點集區清單。

如果成功,回應主體會含有以下結構的資料:

JSON 表示法
{
  "nodePools": [
    {
      object (NodePool)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
欄位
nodePools[]

object (NodePool)

叢集中的節點集區。

nextPageToken

string

用來擷取下一頁結果的符記。

unreachable[]

string

無法連線的位置。

授權範圍

需要下列 OAuth 範圍:

  • https://www.googleapis.com/auth/cloud-platform

詳情請參閱驗證總覽一文。